<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminCategory.class.php');
require_once(__DIR__ . '/classes/AdminUsers.class.php');

template:
{
	AdminCategory::tplSection('category_categories');
}

update:
{
	Admin::displayOptions('category');

	if (Auth::$infos['user_prefs']['category']['display'] == 'list')
	{
		AdminCategory::edit();

		AdminCategory::actions();
	}

	AdminCategory::newCategory();
}

get_data:
{
	AdminCategory::getInfos();

	AdminCategory::getCategories();

	AdminCategory::getSettingsParams();

	AdminAlbums::getCategoriesLists(TRUE);

	AdminUsers::getUsersList();
}
?>